Package com.verisign.epp.framework

## Class EPPOrgHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPOrgHandler

- All Implemented Interfaces:
    `EPPEventHandler`
  Direct Known Subclasses:
    `OrgHandler`

      public abstract class EPPOrgHandler
      extends java.lang.Object
      implements EPPEventHandler

  The `EPPOrgHandler` class provides an interface for handling EPP Org Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPOrgHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the Registry Mapping will be handled there.
  See Also:
    `EPPEventHandler`, `EPPEvent`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgHandler()` | Whenever an EPPOrgHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract EPPEventResponse` | `doOrgCheck​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when Org Check command is received.
    `protected abstract EPPEventResponse` | `doOrgCreate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Org Create command is received.
    `protected abstract EPPEventResponse` | `doOrgDelete​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Org Delete command is received.
    `protected abstract EPPEventResponse` | `doOrgInfo​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Org Info command is received.
    `protected abstract EPPEventResponse` | `doOrgUpdate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Org Update command is received.
    `java.lang.String` | `getNamespace()` | Gets the XML Namespace for the Mapping.
    `EPPEventResponse` | `handleEvent​(EPPEvent aEvent, java.lang.Object aData)` | This method receives an `EPPEvent` and routes it to the appropriate abstract method.
    `protected void` | `postHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Handles any common behavior that all registry commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Handles any common behavior that all registry commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPOrgHandler

          public EPPOrgHandler()

      Whenever an EPPOrgHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the XML Namespace for the Mapping.
      Specified by:
        `getNamespace` in interface `EPPEventHandler`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### handleEvent

          public EPPEventResponse handleEvent​(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

      This method receives an `EPPEvent` and routes it to the appropriate abstract method.
      Specified by:
        `handleEvent` in interface `EPPEventHandler`
      Parameters:
        `aEvent` - An `EPPEvent` that contains the `EPPCommand`
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler` instance
      Returns:
        Response to the event
      Throws:
        `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

    - #### doOrgCheck

          protected abstract EPPEventResponse doOrgCheck​(EPPEvent aEvent,
                                                         java.lang.Object aData)

      Invoked when Org Check command is received. Subclasses should define the behavior when Org Check command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgInfo

          protected abstract EPPEventResponse doOrgInfo​(EPPEvent aEvent,
                                                        java.lang.Object aData)

      Invoked when a Org Info command is received. Subclasses should define the behavior when a Org Info command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgCreate

          protected abstract EPPEventResponse doOrgCreate​(EPPEvent aEvent,
                                                          java.lang.Object aData)

      Invoked when a Org Create command is received. Subclasses should define the behavior when a Org Create command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgDelete

          protected abstract EPPEventResponse doOrgDelete​(EPPEvent aEvent,
                                                          java.lang.Object aData)

      Invoked when a Org Delete command is received. Subclasses should define the behavior when a Org Delete command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgUpdate

          protected abstract EPPEventResponse doOrgUpdate​(EPPEvent aEvent,
                                                          java.lang.Object aData)

      Invoked when a Org Update command is received. Subclasses should define the behavior when a Org Update command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### preHandleEvent

          protected void preHandleEvent​(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute before they execute their command specific behavior. The default implementation does nothing.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent​(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute after they execute their command specific behavior. The default implementation does nothing
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPOrgHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`